@echo off

cls
rem makedisk batch file
rem created 11/29/2004
rem Version 10.1
rem last modified 06/09/05


rem Check available environment space
set env_chk=0123456789abcdef
if %env_chk% == 0123456789abcdef goto preprocess
goto env_bad

:preprocess
set env_chk=
if "%4" == "copy" set gui=copy
if "%4" == "copy_second" set gui=copy_second
if NOT "%_silent%" == "" goto env_ok
set _silent=TRUE
if "%3" == "silent" %0 %1 %2
if "%3" == "SILENT" %0 %1 %2
if "%2" == "silent" %0 %1 %3
if "%2" == "SILENT" %0 %1 %3
if "%1" == "silent" %0 %2 %3
if "%1" == "SILENT" %0 %2 %3
set _silent=FALSE

:env_ok
rem ****************************************************************************************************************
rem Check that OS (%1) and destination (%2) are supplied and valid**************************************************
rem ****************************************************************************************************************

if "%1" == "" goto USAGE
set dest=
if NOT "%gui%" == "" goto gui_dest
if "%2" == "" set dest=A:
if "%2" == "A:" set dest=A:
if "%2" == "a:" set dest=A:
if "%2" == "A:\" set dest=A:
if "%2" == "a:\" set dest=A:
if "%2" == "B:" set dest=B:
if "%2" == "b:" set dest=B:
if "%2" == "B:\" set dest=B:
if "%2" == "b:\" set dest=B:
if "%2" == "c:" set dest=C:\
if "%2" == "c:\" set dest=C:\
if "%2" == "C:" set dest=C:\
if "%2" == "C:\" set dest=C:\
if "%dest%" == "C:\" set _mdisk_floppy=FALSE
if "%dest%" == "" goto setdest
if NOT "%dest%" == "C:\" set _mdisk_floppy=TRUE
goto dest_ok

:gui_dest
if %2 == "" set dest=A:
if %2 == "A:" set dest=A:
if %2 == "a:" set dest=A:
if %2 == "A:\" set dest=A:
if %2 == "a:\" set dest=A:
if %2 == "B:" set dest=B:
if %2 == "b:" set dest=B:
if %2 == "B:\" set dest=B:
if %2 == "b:\" set dest=B:
if "%2" == "c:" set dest=C:\
if "%2" == "c:\" set dest=C:\
if "%2" == "C:" set dest=C:\
if "%2" == "C:\" set dest=C:\
if "%dest%" == "C:\" set _mdisk_floppy=FALSE
if "%dest%" == "" goto setdest
if NOT "%dest%" == "C:\" set _mdisk_floppy=TRUE
goto dest_ok

:setdest
set dest=%2
set _mdisk_floppy=FALSE
goto dest_ok

:dest_ok
if not exist ..\..\VERFILE.TIC goto wrongdir
if "%1" == "ws0332epcie" goto valid
if "%1" == "WS0332EPCIE" goto valid
if "%1" == "ws03xp2kpcie" goto valid
if "%1" == "WS03XP2KPCIE" goto valid
if "%1" == "ws03xp64gig" goto valid
if "%1" == "WS03XP64GIG" goto valid
if "%1" == "ws03xp64fe" goto valid
if "%1" == "WS03XP64FE" goto valid
if "%1" == "ws03xp2kfe" goto valid
if "%1" == "WS03XP2KFE" goto valid
if "%1" == "ws03xp2kgig" goto valid
if "%1" == "WS03XP2KGIG" goto valid
if "%1" == "WS0332EGIG" goto valid
if "%1" == "ws0332egig" goto valid
if "%1" == "WS0332EFE" goto valid
if "%1" == "ws0332efe" goto valid
if "%1" == "win98se" goto valid
if "%1" == "WIN98SE" goto valid
if "%1" == "nw" goto valid
if "%1" == "NW" goto valid
if "%1" == "dos" goto valid
if "%1" == "DOS" goto valid
if "%1" == "WS03XP2KIOAT" goto valid
if "%1" == "ws03xp2kioat" goto valid
if "%1" == "WS0332EIOAT" goto valid
if "%1" == "ws0332eioat" goto valid
goto invalid

:invalid
echo !!! COMMAND LINE PARAMETERS ARE NOT CORRECT !!!
goto usage

:valid
if NOT "%gui%" == "" goto gui_valid
if "%dest%" == "A:" goto floppy
if "%dest%" == "B:" goto floppy
goto nofloppy

:gui_valid
if %dest% == "A:" goto floppy
if %dest% == "B:" goto floppy
goto nofloppy

:nofloppy
set mode=nofloppy
cls
echo The destination you specified (%dest%) does not
echo appear to be a diskette. If you are trying to create a diskette,
echo press Control-C, answer Y and then re-enter a command again. Be sure
echo to enter the drive letter without a trailing backslash (A: or B:).
echo.
echo If you do want the files copied to %dest%
if "%_silent%" == "FALSE" pause
goto cont_1

:floppy
set mode=floppy
if NOT "%gui%" == "" goto cont_1 
cls
if exist %dest%\*.* echo !! THIS DISKETTE DOES NOT APPEAR TO BE FORMATTED !!
echo.
echo Please be sure the disk in %dest% is 1.44MB, formatted, non-bootable and
echo has no pre-existing files. To format the diskette, press Control-C
echo and answer Y, then enter the command FORMAT %dest%. Otherwise,
if "%_silent%" == "FALSE" pause
goto cont_1

:cont_1
if not exist ..\..\verfile.tic goto wrongdir

if "%1" == "ws03xp64gig" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "ws03xp64gig" Set OS2=Microsoft* Windows Server* 2003 64 bit and Windows XP* 64 bit
if "%1" == "WS03XP64GIG" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "WS03XP64GIG" Set OS2=Microsoft* Windows Server* 2003 64 bit and Windows XP* 64 bit

if "%1" == "ws03xp64fe" set OS1=Intel(R) PRO/100 Network Connection Configuration
if "%1" == "ws03xp64fe" Set OS2=Microsoft* Windows Server* 2003 64 bit and Windows XP* 64 bit
if "%1" == "WS03XP64FE" set OS1=Intel(R) PRO/100 Network Connection Configuration
if "%1" == "WS03XP64FE" Set OS2=Microsoft* Windows Server* 2003 64 bit and Windows XP* 64 bit

if "%1" == "ws0332epcie" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "ws0332epcie" Set OS2=Microsoft* Windows Server* 2003 x64 and Windows XP* x64
if "%1" == "WS0332EPCIE" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "WS0332EPCIE" Set OS2=Microsoft* Windows Server* 2003 x64 and Windows XP* x64
if "%1" == "WS03XP2KIOAT" Set OS1=Intel(R) I/O Acceleration Technology
if "%1" == "ws03xp2kioat" 	 Set OS2=Microsoft Windows Server* 2003 x64 and Windows XP*x64

if "%1" == "ws03xp2kpcie" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "ws03xp2kpcie" Set OS2=Microsoft* Windows Server* 2003 32 bit and Windows XP*/2000*
if "%1" == "WS03XP2KPCIE" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "WS03XP2KPCIE" Set OS2=Microsoft* Windows Server* 2003 32 bit and Windows XP*/2000*
if "%1" == "WS03XP2KIOAT" Set OS1=Intel(R) I/O Acceleration Technology
if "%1" == "ws03xp2kioat" 	 Set OS2=Microsoft* Windows Server* 2003 32 bit and Windows XP*/2000*

if "%1" == "ws03xp2kgig" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "ws03xp2kgig" Set OS2=Microsoft* Windows Server* 2003 32 bit and Windows XP*/2000*
if "%1" == "WS03XP2KGIG" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "WS03XP2KGIG" Set OS2=Microsoft* Windows Server* 2003 32 bit and Windows XP*/2000*

if "%1" == "ws03xp2kfe" set OS1=Intel(R) PRO/100 Network Connection Configuration
if "%1" == "ws03xp2kfe" Set OS2=Microsoft* Windows Server* 2003 32 bit and Windows XP*/2000*
if "%1" == "WS03XP2KFE" set OS1=Intel(R) PRO/100 Network Connection Configuration
if "%1" == "WS03XP2KFE" Set OS2=Microsoft* Windows Server* 2003 32 bit and Windows XP*/2000*

if "%1" == "ws0332egig" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "ws0332egig" Set OS2=Microsoft* Windows Server* 2003 x64 and Windows XP* x64
if "%1" == "WS0332EGIG" set OS1=Intel(R) PRO/1000 Network Connection Configuration
if "%1" == "WS0332EGIG" Set OS2=Microsoft* Windows Server* 2003 x64 and Windows XP* x64

if "%1" == "ws0332efe" set OS1=Intel(R) PRO/100 Network Connection Configuration
if "%1" == "ws0332efe" Set OS2=Microsoft* Windows Server* 2003 x64 and Windows XP* x64
if "%1" == "WS0332EFE" set OS1=Intel(R) PRO/100 Network Connection Configuration
if "%1" == "WS0332EFE" Set OS2=Microsoft* Windows Server* 2003 x64 and Windows XP* x64

if "%1" == "win98se" set OS1=Intel(R) PRO LAN Network Connection Configuration
if "%1" == "win98se" set OS2=Microsoft* Windows 98*
if "%1" == "WIN98SE" set OS1=Intel(R) PRO LAN Network Connection Configuration
if "%1" == "WIN98SE" set OS2=Microsoft* Windows 98*

if "%1" == "nw" set OS1=Intel(R) PRO LAN Network Connection Configuration
if "%1" == "nw" set OS2=Novell Netware*
if "%1" == "NW" set OS1=Intel(R) PRO LAN Network Connection Configuration
if "%1" == "NW" set OS2=Novell Netware*

if "%1" == "dos" set OS1=Intel(R) PRO LAN Network Connection Configuration
if "%1" == "dos" set OS2=Microsoft DOS*
if "%1" == "DOS" set OS1=Intel(R) PRO LAN Network Connection Configuration
if "%1" == "DOS" set OS2=Microsoft DOS*

if "%1" == "ws03xp64gig" goto 64GIG
if "%1" == "WS03XP64GIG" goto 64GIG
if "%1" == "ws03xp64fe" goto 64FE
if "%1" == "WS03XP64FE" goto 64FE

if "%1" == "ws03xp2kfe" goto 32FE
if "%1" == "WS03XP2KFE" goto 32FE
if "%1" == "ws03xp2kgig" goto 32GIG
if "%1" == "WS03XP2KGIG" goto 32GIG
if "%1" == "ws03xp2kpcie" goto 32PCIE
if "%1" == "WS03XP2KPCIE" goto 32PCIE
if "%1" == "WS03XP2KIOAT" goto 32_IOATDMA
if "%1" == "ws03xp2kioat" goto 32_IOATDMA

if "%1" == "ws0332efe" goto 32EFE
if "%1" == "WS0332EFE" goto 32EFE
if "%1" == "ws0332egig" goto 32EGIG
if "%1" == "WS0332EGIG" goto 32EGIG
if "%1" == "ws0332epcie" goto 32EPCIE
if "%1" == "WS0332EPCIE" goto 32EPCIE
if "%1" == "WS0332EIOAT" goto x64_IOATDMA
if "%1" == "ws0332eioat" goto x64_IOATDMA

if "%1" == "win98se" goto W9X
if "%1" == "WIN98SE" goto W9X

if "%1" == "nw" goto NW
if "%1" == "NW" goto NW

if "%1" == "dos" goto DOS
if "%1" == "DOS" goto DOS

goto USAGE

:64GIG
rem ****************************************************************************************************************
rem     ************************* Start of the Windows Server 2003/XP 64 - bit section Gigabit drivers *************
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\e1000msg.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\e1000645.cat %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\e1000645.din %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\e1000645.inf %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\e1000645.sys %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\NicEtCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\NicInst.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win64\PROUnstl.exe %dest%
if not exist %dest%\e1000645.sys goto NOCOPY
goto FINISHED_COPYING

:64FE
rem ****************************************************************************************************************
rem     ********************* Start of the Windows Server 2003/XP 64 - bit section 10/100 drivers ******************
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO100\Win64\e100a645.inf %dest%
xcopy /v /f /y ..\..\PRO100\Win64\e100b645.cat %dest%
xcopy /v /f /y ..\..\PRO100\Win64\e100b645.din %dest%
xcopy /v /f /y ..\..\PRO100\Win64\e100b645.inf %dest%
xcopy /v /f /y ..\..\PRO100\Win64\e100b645.sys %dest%
xcopy /v /f /y ..\..\PRO100\Win64\e100bmsg.dll %dest%
xcopy /v /f /y ..\..\PRO100\Win64\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO100\Win64\NicInst.dll %dest%
xcopy /v /f /y ..\..\PRO100\Win64\PROUnstl.exe %dest%
if not exist %dest%\e100b645.sys goto NOCOPY
goto FINISHED_COPYING

:32EGIG
rem ****************************************************************************************************************
rem     ************************* Start of the Windows Server 2003/XP x64 - bit section Gigabit drivers *************
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1G5132e.cat %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1G5132e.din %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1G5132e.INF %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1G5132e.sys %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1000msg.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\NicEtCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\NicInst.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\PROUnstl.exe %dest%
if not exist %dest%\e1G5132e.sys goto NOCOPY
goto FINISHED_COPYING

:32EFE
rem ****************************************************************************************************************
rem     ********************* Start of the Windows Server 2003/XP x64 - bit section 10/100 drivers ******************
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\e100bmsg.dll %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\eFE5b32e.cat %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\eFE5b32e.din %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\eFE5b32e.inf %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\eFE5b32e.sys %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\NicInst.dll %dest%
xcopy /v /f /y ..\..\PRO100\Winx64\PROUnstl.exe %dest%
if not exist %dest%\eFE5b32e.sys goto NOCOPY
goto FINISHED_COPYING

:32EPCIE
rem ****************************************************************************************************************
rem     ********************* Start of the Windows Server 2003/XP x64 - bit section 1000 PCI Express drivers *******
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1e5132e.cat %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1e5132e.din %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1e5132e.INF %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1e5132e.sys %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\e1000msg.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\NicEtCoE.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\NicInstE.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Winx64\PROUnstl.exe %dest%
if not exist %dest%\e1e5132e.sys goto NOCOPY
goto x64_IAMT_SERIAL

:x64_IAMT_SERIAL
rem ****************************************************************************************************************
rem Start of the Windows Server 2003/XP x64 - bit section for Intel(R) Active Management Technology and Serial Drivers
rem ******************** Only copy these files if they exist on the media ******************************************
rem ****************************************************************************************************************

if not exist ..\..\PLATFORM\INTELAMT\DRIVERS\Winx64 goto FINISHED_COPYING
if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Winx64\IAMTXPE.sys %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Winx64\IAMTE.cat %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Winx64\IAMTE.inf %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Winx64\IAMTE.din %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Winx64\IRESOLE.cat %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Winx64\IRESOLE.inf %dest%
if not exist %dest%\IRESOLE.inf goto NOCOPY

goto FINISHED_COPYING

:32GIG
rem ****************************************************************************************************************
rem     ******************** Start of the Windows Server 2003/XP/2000 section Gigabit drivers **********************
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1000msg.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1000nt5.din %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\E1000NT5.SYS %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1000325.cat %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1000325.din %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1000325.inf %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\E1000325.SYS %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\NicEtCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\NicInst.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\PROUnstl.exe %dest%
if not exist %dest%\E1000325.sys goto NOCOPY
goto FINISHED_COPYING

:32PCIE
rem ****************************************************************************************************************
rem     ******************** Start of the Windows Server 2003/XP/2000 section 1000 PCI Express drivers *************
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1e5032.din %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\E1e5032.SYS %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1e5132.cat %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1e5132.din %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1e5132.inf %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\E1e5132.sys %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\e1000msg.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\NicEtCoE.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\NicInstE.dll %dest%
xcopy /v /f /y ..\..\PRO1000\Win32\PROUnstl.exe %dest%
if not exist %dest%\E1e5132.sys goto NOCOPY
goto 32_IAMT_SERIAL

:32FE
rem ****************************************************************************************************************
rem     ******************** Start of the Windows Server 2003/XP/2000 section 10/100 drivers ***********************
rem ****************************************************************************************************************

if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100a325.inf %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100ant5.inf %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100b325.cat %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100b325.din %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100b325.inf %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100b325.sys %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100bmsg.dll %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100bnt5.din %dest%
xcopy /v /f /y ..\..\PRO100\Win32\e100bnt5.sys %dest%
xcopy /v /f /y ..\..\PRO100\Win32\NicCo.dll %dest%
xcopy /v /f /y ..\..\PRO100\Win32\NicInst.dll %dest%
xcopy /v /f /y ..\..\PRO100\Win32\PROUnstl.exe %dest%
if not exist %dest%\e100bnt5.sys goto NOCOPY

goto FINISHED_COPYING

:32_IAMT_SERIAL
rem ****************************************************************************************************************
rem Start of the Windows Server 2003/XP/2000 section for Intel(R) Active Management Technology and Serial Drivers **
rem ******************** Only copy these files if they exist on the media ******************************************
rem ****************************************************************************************************************
if not exist ..\..\PLATFORM\INTELAMT\DRIVERS\Win32 goto FINISHED_COPYING
if not exist %dest% mkdir %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IAMT03.sys %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IAMT2K.sys %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IAMT.cat %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IAMT.inf %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IAMT.din %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IAMTXP.sys %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IRESOL.cat %dest%
xcopy /v /f /y ..\..\PLATFORM\INTELAMT\DRIVERS\Win32\IRESOL.inf %dest%
if not exist %dest%\IRESOL.inf goto NOCOPY

goto FINISHED_COPYING

:W9X
rem ****************************************************************************************************************
rem     ********************** Start of the Windows 98 section 10/100 and Gigabit drivers ****************
rem ****************************************************************************************************************

md %dest%\WIN98SE

copy /v ..\..\PRO100\WIN98SE\*.* %dest%\WIN98SE
if not exist %dest%\WIN98SE\WOL558.VXD goto NOCOPY

copy /v ..\..\PRO1000\WIN98SE\*.* %dest%\WIN98SE
if not exist %dest%\WIN98SE\E1000W9X.SYS goto NOCOPY

goto FINISHED_COPYING

:NW
rem ****************************************************************************************************************
rem     ******************** Start of the NetWare section 10/100 and Gigabit drivers *******************************
rem ****************************************************************************************************************

rem MAKE DIRECTORIES FIRST
md %dest%\NWSERVER
md %dest%\DOS
md %dest%\DOS\E1000

if exist ..\..\README.TXT copy ..\..\README.TXT %dest%
if exist ..\..\WIREDPCI.TXT copy ..\..\WIREDPCI.TXT %dest%

copy ..\..\PRO1000\NWSERVER\*.* %dest%\NWSERVER
if not exist %dest%\NWSERVER\ians.ldi goto NOCOPY

copy ..\..\PRO100\NWSERVER\*.* %dest%\NWSERVER
if not exist %dest%\NWSERVER\ians.ldi goto NOCOPY

copy /v ..\..\PRO1000\DOS\IPXODI.COM %dest%\DOS
copy /v ..\..\PRO1000\DOS\LSL.COM %dest%\DOS
if not exist %dest%\DOS\LSL.COM goto NOCOPY

copy /v ..\..\PRO1000\DOS\E1000ODI.COM %dest%\DOS\E1000
copy /v ..\..\PRO1000\DOS\NET.CFG %dest%\DOS\E1000
if not exist %dest%\DOS\E1000\NET.CFG goto NOCOPY

copy /v ..\..\PRO100\DOS\*.* %dest%\DOS
if not exist %dest%\DOS\protocol.ini goto NOCOPY

goto FINISHED_COPYING

:DOS
rem ****************************************************************************************************************
rem     ********************* Start of the DOS section 10/100 and Gigabit drivers **************************
rem ****************************************************************************************************************

rem MAKE DIRECTORIES FIRST
md %dest%\PRO100
md %dest%\PRO1000
md %dest%\PRO100\DOS
md %dest%\PRO1000\DOS

if exist ..\..\WIREDPCI.TXT copy /v ..\..\WIREDPCI.TXT %dest%
if exist ..\..\README.TXT copy /v ..\..\README.TXT %dest%

copy /v ..\..\PRO100\DOS\*.* %dest%\PRO100\DOS
if not exist %dest%\PRO100\DOS\protocol.ini goto NOCOPY

copy /v ..\..\PRO1000\DOS\*.* %dest%\PRO1000\DOS
if not exist %dest%\PRO1000\DOS\protocol.ini goto NOCOPY

goto FINISHED_COPYING

:32_IOATDMA
rem ****************************************************************************************************************
rem Start of the Windows Server 2003/XP/2000 section for Intel(R) I/O Acceleration Technology**
rem ******************** Only copy these files if they exist on the media ******************************************
rem ****************************************************************************************************************
if not exist ..\..\PLATFORM\IOATDMA\Win32\ goto FINISHED_COPYING
if not exist %dest% mkdir %dest%
copy /v ..\..\PLATFORM\IOATDMA\Win32\ioatco.dll %dest%
copy /v ..\..\PLATFORM\IOATDMA\Win32\ioatdma.sys %dest%
copy /v ..\..\PLATFORM\IOATDMA\Win32\ioatdma.inf %dest%
copy /v ..\..\PLATFORM\IOATDMA\Win32\ioatdma.cat %dest%

goto FINISHED_COPYING

:x64_IOATDMA
rem ****************************************************************************************************************
rem Start of the Windows Server 2003/XP x64 section for Intel(R) I/O Acceleration Technology**
rem ******************** Only copy these files if they exist on the media ******************************************
rem ****************************************************************************************************************
if not exist ..\..\PLATFORM\IOATDMA\Winx64\ goto FINISHED_COPYING
if not exist %dest% mkdir %dest%
copy /v ..\..\PLATFORM\IOATDMA\Winx64\ioatco.dll %dest%
copy /v ..\..\PLATFORM\IOATDMA\Winx64\ioatdma.sys %dest%
copy /v ..\..\PLATFORM\IOATDMA\Winx64\ioatdma.inf %dest%
copy /v ..\..\PLATFORM\IOATDMA\Winx64\ioatdma.cat %dest%

goto FINISHED_COPYING


rem ****************************************************************************************************************
rem *********************** End of File Copying ********************************************************************
rem ****************************************************************************************************************

:FINISHED_COPYING

copy /v ..\..\VERFILE.TIC %dest%
if not exist %dest%\VERFILE.TIC goto NOCOPY

echo.
echo Base driver files have been copied to media or path. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network, after a connection
echo to your network file service has been established.
echo.

if NOT "%gui%" == "" set gui=done
if "%_mdisk_floppy%" == "FALSE" goto end
echo PLEASE LABEL YOUR DISKETTE WITH THE FOLLOWING INFORMATION
echo %OS1%
echo %OS2%
echo Drivers (Release # from your CD)
echo.
goto end

:env_bad
set env_chk=
cls
echo ERROR: Your computer does not have sufficient environment space to
echo run this batch file. Please increase the available environment space
echo and run this batch file again. To increase the avaiable environment
echo space, please do the following;
echo.
echo                                  DOS
echo If you are running DOS, edit the CONFIG.SYS file and find the statement
echo COMMAND=C:\(PATH)\COMMAND.COM /e:(number)
echo where (path) is the directory path to your COMMAND.COM file and (number)
echo is a numerical value. Increase the numerical value by at least 32.
echo If this line does not exist, add the following line;
echo COMMAND=C:\COMMAND.COM /E:512
echo Reboot the computer before running this batch file again.
echo.
echo                    Windows 2000
echo Click Start, then Run, then enter "CMD /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
echo.
echo                    Windows 98
echo Click Start, then Run, then enter "COMMAND /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
goto end

:WRONGDIR
if NOT "%gui%" == "" set gui=wrongdir
if NOT "%gui%" == "" goto end
cls
echo You must run this utility from the \MAKEDISK directory.
goto usage

:NOCOPY
if NOT "%gui%" == "" set gui=nocopy
if NOT "%gui%" == "" goto end
cls
echo.
echo Can not copy to %dest%.
echo Please check your syntax and try again
goto usage

:usage
echo.
echo usage rules:
echo MAKEDISK [operating system] [destination (optional)] [silent (optional)]
echo.
echo [operating system] = OS family you are creating the diskette for
echo WS03XP64FE         = Microsoft Windows Server 2003/XP 64 bit 10/100 solution
echo WS03XP64GIG        = Microsoft Windows Server 2003/XP 64 bit Gigabit solution
echo WS03XP2KFE         = Microsoft Windows Server 2003/XP/2000 10/100 solution
echo WS03XP2KGIG        = Microsoft Windows Server 2003/XP/2000 Gigabit solution
echo WS03XP2KPCIE       = Microsoft Windows Server 2003/XP/2000 PCI Express solution
echo WS03XP2KIOAT       = Microsoft Windows Server 2003/XP/2000 I/O Acceleration Technology solution
echo WS0332EFE          = Microsoft Windows Server 2003/XP x64 10/100 solution
echo WS0332EGIG         = Microsoft Windows Server 2003/XP x64 Gigabit solution
echo WS0332EPCIE        = Microsoft Windows Server 2003/XP x64 PCI Express solution
echo WS0332EIOAT        = Microsoft Windows Server 2003/XP x64 I/O Acceleration Technology solution
echo WIN98SE            = Microsoft Windows 98
echo NW                 = Novell NetWare servers and clients
echo DOS                = Microsoft DOS
echo [destination]      = drive letter and path (Default A:)
echo [silent]           = silent mode (does not pause for user input)
echo.
pause
echo.
echo NOTE:  Do not add a trailing backslash (\) to the destination path.
echo This utility MUST be run from the \MAKEDISK directory.
echo.
echo EXAMPLE:
echo To create a Windows 2000 install diskette in A: for an Intel(R) PRO 100 LAN
echo Adapter Connection, from the MAKEDISK directory run: MAKEDISK WS03XP2KFE    
echo.
pause
goto END
										   
:END
set dest=
set mode=
set _silent=
set _mdisk_floppy=
if "%gui%" == "" goto CLI_EXIT

REM FINISH_ALL
if NOT "%gui%" == "done" goto GUI_INSERTSECOND
echo 0 > %TEMP%\makediskoutput.txt
cls
exit 0

:GUI_INSERTSECOND
if NOT "%gui%" == "insertsecond" goto GUI_NOCOPY
echo 6 > %TEMP%\makediskoutput.txt
cls
exit 6

:GUI_NOCOPY
if NOT "%gui%" == "nocopy" goto GUI_WRONGDIR
echo 2 > %TEMP%\makediskoutput.txt
cls
exit 2

:GUI_WRONGDIR
if NOT "%gui%" == "wrongdir" goto GUI_GENFAILURE
echo 8 > %TEMP%\makediskoutput.txt
cls
exit 8

:GUI_GENFAILURE
echo 9 > %TEMP%\makediskoutput.txt
cls
exit 9

:CLI_EXIT


